---
path: "/product"
title: "🚀 Product Framework"
sidebarTitle: "🚀 Product"
sidebarGroup:
yaml: true
levels: 4
homepage: false
topics:
  - name: "problem solving"
    title: "🧠 Problem solving"
    content:
      - level: 1
        criteria:
          - "Assesses if features they are involved with are needed, how it solves customer problems and how it contributes to a measurable business objective."
          - "Demonstrates enthusiasm to learn a range of problem-solving techniques and practices."
          - "Understands how product works in their squad, which problems it solves and how it is performing."
      - level: 2
        criteria:
          - "Works with the squad to set clear goals for their remit."
          - "Identifies assumptions and risks, and tackles them upfront, testing and learning in increments."
          - "Uses or fosters creativity and experimentation to find and solve problems."
          - "Considers which features to remove, as well as maintain."
          - "Learns from failure and success. Shares and builds on that learning."
          - "Asks good questions to get to the root of a problem or opportunity."
          - "Deep understanding of product in their squad and good knowledge of product in team."
      - level: 3
        criteria:
          - "Defines a clear, compelling and ambitious product vision and strategy for their remit. Strategy leads to high-performing product experience that delights users."
          - "Proactively identifies and resolves potential problems. Can employ the right (one of many approaches) for the product and problem."
          - "Deep understanding of product in their team and broad knowledge of overall product."
      - level: 4
        criteria:
          - "Successfully leads initiatives with high levels of uncertainty, from discovery to successful adoption or retirement."
          - "Brings structure, clarity and new insights to ambiguous or complex problems. Can often find ways to make it possible to ‘do both’ by reframing problem or approach."
  - name: "user-centricity"
    title: "🙍 User-centricity"
    content:
      - level: 1
        criteria:
          - "Always starts with user needs and acts as the voice of the user within their squad."
          - "Able to translate needs into user stories/jobs to be done. Ensures that anything shipped meets users needs. Understands the fidelity needed for different stages of rollout."
      - level: 2
        criteria:
          - "Can identify who users are and what their needs are, based on evidence. Regularly engages with users and can carry out usability testing unassisted."
          - "Creates shared context and understanding of user needs in their squad. Helps their squad to identify and solve user problems, instead of jumping to features. Ensures that solutions to problems are delightful and high quality."
      - level: 3
        criteria:
          - "In depth knowledge of current and potential users. Manages trade-offs between user needs."
          - "Ensures their area of the product delights their intended audiences and forms a coherent experience with other features."
          - "Champions users and a user-centred approach with stakeholders."
      - level: 4
        criteria:
          - "Is a champion for user experience and starting with user needs - helps senior stakeholders and team members to understand the value of this approach."
          - "Can balance trade offs (or think creatively to increase the pie) between user need and business need."
  - name: "data skills"
    title: "👨‍💻 Data Skills"
    content:
      - level: 1
        criteria:
          - "Closely tracks metrics for features. Uses them to spot issues and measure success."
          - "Understands how squad’s work links to business objectives and key performance indicators."
      - level: 2
        criteria:
          - "Collaborates with product analyst to set up the right things to track. Understand what a metric actually measures and how reliable/direct it is."
          - "Closely tracks performance of their squad, and how to influence it. Draws reliable conclusions from qualitative and quantitative data."
      - level: 3
        criteria:
          - "Closely tracks and understands how metrics interact with and impact other group/business metrics."
          - "Identifies when and how to set experiments, supported by a product data analyst. Incorporates results into future iterations."
          - "Can assimilate new information easily, and can synthesise qualitative and quantitative inputs to form reliable insights into user needs and behaviour."
      - level: 4
        criteria:
          - "Makes data-driven decisions based on a multitude of complex, interdependent factors."
          - "Can design and evaluate experiments, based on solid hypotheses. Proactively alters course when confidence of hitting goals is low."
  - name: "domain knowledge"
    title: "💭 Domain Knowledge"
    content:
      - level: 1
        criteria:
          - "Understands and appreciates the appropriate use of HTML, CSS, JS and native code."
          - "Demonstrates appetite and aptitude to learn about the context the product operates in."
      - level: 2
        criteria:
          - "Understands core principles of web technologies, including HTTP(S)-based interactions between front-end clients and back-end servers/microservices and APIs."
          - "Understands the need to consider, and takes, expert advice. Applies the concepts correctly and demonstrates a strong interest in their area."
      - level: 3
        criteria:
          - "Understands how code is tested, deployed and version-controlled for backend microservices, native apps and web interfaces."
          - "Develops and maintains solid foundation of market knowledge in their area, proactively identifies potential issues/risks."
      - level: 4
        criteria:
          - "Conversant with overall Intugine architecture, and highly knowledgeable about specific elements and services that are relevant to their area of responsibility."
          - "Develops and maintains an in-depth market knowledge in at least one area and is able to challenge experts. Identifies market opportunities or product gaps."
  - name: "execution"
    title: "🛠️ Execution"
    content:
      - level: 1
        criteria:
          - "Can prioritise defined tasks based on effort, impact, user needs and business goals."
      - level: 2
        criteria:
          - "Tends to action - narrowing in on a MVP to help learn. Comfortable with releasing uncomfortable first versions (done is better than perfect)."
          - "Leads squad in prioritising work with some ambiguity or competing demands."
          - "Makes sure the team have everything they need to be productive."
          - "Maintains sensible work in progress limits and knows when and how to say no."
      - level: 3
        criteria:
          - "Able to prioritise effectively on multiple dimensions - makes sure the urgent doesn’t always outdo the important; that there is a balance between new work, maintenance, fixing issues; long- and short-term work."
          - "Employs speed as a habit."
      - level: 4
        criteria:
          - "Creates frameworks that aid decision making and prioritisation."
  - name: "works through others"
    title: "🤝 Works Through Others"
    content:
      - level: 1
        criteria:
          - "Collaborates daily with members of the product squad to ship and iterate."
          - "Understands the objectives of and participates actively in team ceremonies. Prepared and organised to make the most of squad time."
      - level: 2
        criteria:
          - "Sets squad rhythm and routines - facilitates agreement on how they all work together to discover, define and ship features or experiments to meet their goals."
          - "Works collaboratively to get the best out of all of the people in their squad, involving all disciplines throughout. Takes proactive steps to build and maintain team health, e.g. resolve conflict, counter inertia."
          - "Point person for the squad - does whatever is needed to unblock or support the squad and their delivery. Escalates and delegates appropriately."
          - "Ensures the squad has the skills and resources it needs to ship autonomously."
      - level: 3
        criteria:
          - "Servant leader who empowers the squad to achieve more and be ambitious (test sooner, generate more ideas, think broadly), valuing outcome over output."
          - "Ensures the squad are aware of what other squads are working on and how that relates to their squad’s goals."
          - "Coaches Associate Product Managers and helps them identify and achieve personal development goals."
      - level: 4
        criteria:
          - "Understands how the needs of the team vary across product and team lifecycle and adapts accordingly."
          - "Open to being challenged, encourages constructive conflict and maximises the talent of others. Makes the squad “missionaries, not mercenaries”."
  - name: "feedback"
    title: "👪 Communication and Feedback"
    content:
      - level: 1
        criteria:
          - "Seeks out the information they need to solve a problem."
          - "Keeps stakeholders like COps, legal, marketing, finance updated on progress and ensures they have what they need."
          - "Able to clearly articulate what we’re working on and why."
      - level: 2
        criteria:
          - "Proactively communicates with users, squads and stakeholders."
          - "Identifies assumptions, shares direction and tailors communication to audience."
          - "Seeks out and gives constructive, actionable feedback where valuable."
      - level: 3
        criteria:
          - "Can gather influence and support for their work, confidently debating and defending their decisions and approach."
          - "Communicates effectively to a wide range of stakeholders, e.g. sharing update with ExCo/all hands or community."
      - level: 4
        criteria:
          - "Ensures the team has strong relationships with stakeholders, fully recognises their constraints and concerns and creates mutual recognition and trust."
          - "Able to simply explain complex concepts and deliver difficult messages clearly."
---
